PDA

View Full Version : Questiong about SBF before GB



repo_man
05-21-2011, 12:55 PM
I've been reading the stickied GB .588 successful install guide but I have one question: Do I need to SBF back to the stock .340 if I'm already on it, but rooted and on a different rom? I'm running Rubix 2.0.1 right now. Do I need to SBF back to stock completely?

Edit: please see below posts, I'm having an issue with the GB zips. Any help will be -greatly- appreciated. :)

popcenator
05-21-2011, 12:58 PM
No, wipe data/factory reset before installing the leak and you should be fine.

repo_man
05-21-2011, 01:01 PM
No, wipe data/factory reset before installing the leak and you should be fine.
SO just bootstrap recovery to wipe data/reset, then install the three GB zips, correct?

popcenator
05-21-2011, 01:02 PM
Yes sir.

repo_man
05-21-2011, 01:04 PM
Sweet. Thank you sir! :)

repo_man
05-22-2011, 09:52 AM
Ok, so after this thread I have been following the instructions HERE (http://www.droidxforums.com/forum/gingerbread-development-hacking/24642-gingerbread-2-3-3-4-5-588-successful-installation-guide.html) but cannot get the first zip file to install. I wiped data/cache/etc in clockwork and then went to choose zip from sd card. The file opens but fails to execute (for lack of a better term). I downloaded a md5 file checker and they all check out OK. Any thoughts? I just want to jump on the GB bandwagon, lol.

popcenator
05-22-2011, 10:01 AM
Ok, so after this thread I have been following the instructions HERE (http://www.droidxforums.com/forum/gingerbread-development-hacking/24642-gingerbread-2-3-3-4-5-588-successful-installation-guide.html) but cannot get the first zip file to install. I wiped data/cache/etc in clockwork and then went to choose zip from sd card. The file opens but fails to execute (for lack of a better term). I downloaded a md5 file checker and they all check out OK. Any thoughts? I just want to jump on the GB bandwagon, lol.

May be an incomplete download. Did you do so over a wifi connection? Redownload the first zip and try again.

Ginger-Bluebread Liberty DX

popcenator
05-22-2011, 10:01 AM
May be an incomplete download. Did you do so over a wifi connection? Redownload the first zip and try again.

Ginger-Bluebread Liberty DX



Ginger-Bluebread Liberty DX

popcenator
05-22-2011, 10:02 AM
Oops..pushed the wrong button..lol

Ginger-Bluebread Liberty DX

repo_man
05-22-2011, 10:22 AM
May be an incomplete download. Did you do so over a wifi connection? Redownload the first zip and try again.

Ginger-Bluebread Liberty DX
Thanks for the reply! I thought of that and downloaded the file again, still the same results. I'm using my desktop to d/l them. I can open the zip and navigate through it so it seems to be a 'complete' download.

1KDS
05-22-2011, 10:49 AM
You need to leave the file as a .zip then move it to the root of the sd card in tact.

repo_man
05-22-2011, 12:46 PM
You need to leave the file as a .zip then move it to the root of the sd card in tact.
Yea, I was leaving them unzipped (just said that I could unzip and explore to check that the file was complete). I'm putting them on the SD card as zip files. Though, I'm unsure what the "root" of the SD card is. I was just dropping it into the main folder (F: drive on this PC). Is there a specific "root" folder I need to put the zips into within the main folder?

C Dippa
05-22-2011, 12:58 PM
No, you've got it right. The root of the sd card means on the drive, but not in a folder.

repo_man
05-22-2011, 02:16 PM
No, you've got it right. The root of the sd card means on the drive, but not in a folder.
Ok, that's what I thought. Cool, glad to know I didn't noob that up, lol. Now, that said, I still can't get them to install. ??

Edit: Just tried again for kicks and giggles. Same thing. Here is the exact script/text I'm getting:

assert failed: apply_patch_check("/system/app/AccountAndSyncSettings.apk", "(long stream of numbers and letters)", "(another number and letter code)", "(one more")
E: Error in /sdcard/Blur_Version.23588.p1.zip (status 7)
Installation aborted.

1KDS
05-22-2011, 04:51 PM
Are you selecting update.zip or .zip? You need to flash them like a ROM

repo_man
05-22-2011, 05:10 PM
Are you selecting update.zip or .zip? You need to flash them like a ROM
I'm choosing the zip from SD card, not the update.zip option. Using the same method I did for the Rubix rom I'm running right now. Just won't load the file.

1KDS
05-22-2011, 05:14 PM
And you are using the 3 .zip method? You must install them in numerical order.

C Dippa
05-22-2011, 05:24 PM
Actually, if you're running Rubix right now, you'll need to be stock to install the leaked GB. You'll need to sbf back to froyo, or you could try restoring a stock backup, but I'd keep the sbf handy, just in case...

Once you're stock, follow the successful installation guide you mentioned in the OP.

1KDS
05-22-2011, 05:28 PM
Thanks for the assist, I couldn't remember if you had to have a clean system for these zips

C Dippa
05-22-2011, 05:34 PM
No prob...had to think back for a minute too. Saw this thread earlier and didn't catch that he was on Rubix...

Sent from my X to the interwebz

repo_man
05-22-2011, 06:59 PM
And you are using the 3 .zip method? You must install them in numerical order.
Yes, I'm using that method. I'm going in order. :)

Actually, if you're running Rubix right now, you'll need to be stock to install the leaked GB. You'll need to sbf back to froyo, or you could try restoring a stock backup, but I'd keep the sbf handy, just in case...

Once you're stock, follow the successful installation guide you mentioned in the OP.


Thanks for the assist, I couldn't remember if you had to have a clean system for these zips


No prob...had to think back for a minute too. Saw this thread earlier and didn't catch that he was on Rubix...

Sent from my X to the interwebz
Ah hah, there's the rub! I'll go back to my stock backup and then try the 1,2,3. Method. Will post back shortly. Thanks!

repo_man
05-22-2011, 07:25 PM
That did it. Just got all three zips installed. About to run the patch/etc now. Thanks so much everybody!